org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface ResourceRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ResourceRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `resource-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InjectionTargetType<ResourceRefType<T>>` | `createInjectionTarget()` Creates a new `injection-target` element
    `ResourceRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<InjectionTargetType<ResourceRefType<T>>>` | `getAllInjectionTarget()` Returns all `injection-target` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getLookupName()` Returns the `lookup-name` element
    `java.lang.String` | `getMappedName()` Returns the `mapped-name` element
    `InjectionTargetType<ResourceRefType<T>>` | `getOrCreateInjectionTarget()` If not already created, a new `injection-target` element will be created and returned.
    `ResAuthType` | `getResAuth()` Returns the `res-auth` element
    `java.lang.String` | `getResAuthAsString()` Returns the `res-auth` element
    `java.lang.String` | `getResRefName()` Returns the `res-ref-name` element
    `ResSharingScopeType` | `getResSharingScope()` Returns the `res-sharing-scope` element
    `java.lang.String` | `getResSharingScopeAsString()` Returns the `res-sharing-scope` element
    `java.lang.String` | `getResType()` Returns the `res-type` element
    `ResourceRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ResourceRefType<T>` | `lookupName(java.lang.String lookupName)` Sets the `lookup-name` element
    `ResourceRefType<T>` | `mappedName(java.lang.String mappedName)` Sets the `mapped-name` element
    `ResourceRefType<T>` | `removeAllDescription()` Removes the `description` element
    `ResourceRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
    `ResourceRefType<T>` | `removeId()` Removes the `id` attribute
    `ResourceRefType<T>` | `removeLookupName()` Removes the `lookup-name` element
    `ResourceRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
    `ResourceRefType<T>` | `removeResAuth()` Removes the `res-auth` attribute
    `ResourceRefType<T>` | `removeResRefName()` Removes the `res-ref-name` element
    `ResourceRefType<T>` | `removeResSharingScope()` Removes the `res-sharing-scope` attribute
    `ResourceRefType<T>` | `removeResType()` Removes the `res-type` element
    `ResourceRefType<T>` | `resAuth(ResAuthType resAuth)` Sets the `res-auth` element
    `ResourceRefType<T>` | `resAuth(java.lang.String resAuth)` Sets the `res-auth` element
    `ResourceRefType<T>` | `resRefName(java.lang.String resRefName)` Sets the `res-ref-name` element
    `ResourceRefType<T>` | `resSharingScope(ResSharingScopeType resSharingScope)` Sets the `res-sharing-scope` element
    `ResourceRefType<T>` | `resSharingScope(java.lang.String resSharingScope)` Sets the `res-sharing-scope` element
    `ResourceRefType<T>` | `resType(java.lang.String resType)` Sets the `res-type` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### lookupName

          ResourceRefType<T> lookupName(java.lang.String lookupName)

      Sets the `lookup-name` element
      Parameters:
        `lookupName` - the value for the element `lookup-name`
      Returns:
        the current instance of `ResourceRefType`

    - #### getLookupName

          java.lang.String getLookupName()

      Returns the `lookup-name` element
      Returns:
        the node defined for the element `lookup-name`

    - #### removeLookupName

          ResourceRefType<T> removeLookupName()

      Removes the `lookup-name` element
      Returns:
        the current instance of `ResourceRefType`

    - #### mappedName

          ResourceRefType<T> mappedName(java.lang.String mappedName)

      Sets the `mapped-name` element
      Parameters:
        `mappedName` - the value for the element `mapped-name`
      Returns:
        the current instance of `ResourceRefType`

    - #### getMappedName

          java.lang.String getMappedName()

      Returns the `mapped-name` element
      Returns:
        the node defined for the element `mapped-name`

    - #### removeMappedName

          ResourceRefType<T> removeMappedName()

      Removes the `mapped-name` element
      Returns:
        the current instance of `ResourceRefType`

    - #### getOrCreateInjectionTarget

          InjectionTargetType<ResourceRefType<T>> getOrCreateInjectionTarget()

      If not already created, a new `injection-target` element will be created and returned. Otherwise, the first existing `injection-target` element will be returned.
      Returns:
        the instance defined for the element `injection-target`

    - #### createInjectionTarget

          InjectionTargetType<ResourceRefType<T>> createInjectionTarget()

      Creates a new `injection-target` element
      Returns:
        the new created instance of `InjectionTargetType>`

    - #### getAllInjectionTarget

          java.util.List<InjectionTargetType<ResourceRefType<T>>> getAllInjectionTarget()

      Returns all `injection-target` elements
      Returns:
        list of `injection-target`

    - #### removeAllInjectionTarget

          ResourceRefType<T> removeAllInjectionTarget()

      Removes all `injection-target` elements
      Returns:
        the current instance of `InjectionTargetType>`

    - #### description

          ResourceRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ResourceRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ResourceRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ResourceRefType`

    - #### resRefName

          ResourceRefType<T> resRefName(java.lang.String resRefName)

      Sets the `res-ref-name` element
      Parameters:
        `resRefName` - the value for the element `res-ref-name`
      Returns:
        the current instance of `ResourceRefType`

    - #### getResRefName

          java.lang.String getResRefName()

      Returns the `res-ref-name` element
      Returns:
        the node defined for the element `res-ref-name`

    - #### removeResRefName

          ResourceRefType<T> removeResRefName()

      Removes the `res-ref-name` element
      Returns:
        the current instance of `ResourceRefType`

    - #### resType

          ResourceRefType<T> resType(java.lang.String resType)

      Sets the `res-type` element
      Parameters:
        `resType` - the value for the element `res-type`
      Returns:
        the current instance of `ResourceRefType`

    - #### getResType

          java.lang.String getResType()

      Returns the `res-type` element
      Returns:
        the node defined for the element `res-type`

    - #### removeResType

          ResourceRefType<T> removeResType()

      Removes the `res-type` element
      Returns:
        the current instance of `ResourceRefType`

    - #### resAuth

          ResourceRefType<T> resAuth(ResAuthType resAuth)

      Sets the `res-auth` element
      Parameters:
        `resAuth` - the value for the element `res-auth`
      Returns:
        the current instance of `ResourceRefType`

    - #### resAuth

          ResourceRefType<T> resAuth(java.lang.String resAuth)

      Sets the `res-auth` element
      Parameters:
        `resAuth` - the value for the element `res-auth`
      Returns:
        the current instance of `ResourceRefType`

    - #### getResAuth

          ResAuthType getResAuth()

      Returns the `res-auth` element
      Returns:
        the value found for the element `res-auth`

    - #### getResAuthAsString

          java.lang.String getResAuthAsString()

      Returns the `res-auth` element
      Returns:
        the value found for the element `res-auth`

    - #### removeResAuth

          ResourceRefType<T> removeResAuth()

      Removes the `res-auth` attribute
      Returns:
        the current instance of `ResourceRefType`

    - #### resSharingScope

          ResourceRefType<T> resSharingScope(ResSharingScopeType resSharingScope)

      Sets the `res-sharing-scope` element
      Parameters:
        `resSharingScope` - the value for the element `res-sharing-scope`
      Returns:
        the current instance of `ResourceRefType`

    - #### resSharingScope

          ResourceRefType<T> resSharingScope(java.lang.String resSharingScope)

      Sets the `res-sharing-scope` element
      Parameters:
        `resSharingScope` - the value for the element `res-sharing-scope`
      Returns:
        the current instance of `ResourceRefType`

    - #### getResSharingScope

          ResSharingScopeType getResSharingScope()

      Returns the `res-sharing-scope` element
      Returns:
        the value found for the element `res-sharing-scope`

    - #### getResSharingScopeAsString

          java.lang.String getResSharingScopeAsString()

      Returns the `res-sharing-scope` element
      Returns:
        the value found for the element `res-sharing-scope`

    - #### removeResSharingScope

          ResourceRefType<T> removeResSharingScope()

      Removes the `res-sharing-scope` attribute
      Returns:
        the current instance of `ResourceRefType`

    - #### id

          ResourceRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ResourceRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ResourceRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ResourceRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)